#ifndef __OOL_XCLIPBRD_H__
#define __OOL_XCLIPBRD_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------ OS/2 version 0.01a */
/*===========================================================================*/
/*                              class: XClipBoard                            */
/*                       derived from: XObject                               */
/*                        last update: 4/96                                  */
/*                      programmed by: Stefan von Brauk                      */
/*===========================================================================*/



#include "xobject.h"

class XWindow;

class _export_  XClipBoard: public XObject
{
      BOOL isOpen;
      HAB hab;
   public:
      XClipBoard( XWindow * win);
      virtual ~XClipBoard();
      void Empty(void) { WinEmptyClipbrd ( hab); }
      BOOL IsOpen(void) {return isOpen; }
      HBITMAP GetBitmap( void );
      char * GetText( void );
      BOOL SetBitmap( HBITMAP bmp);
      BOOL SetText( char * p, ULONG len = 0);
};

#endif
